package com.isidroid.job_sender.repository

import com.isidroid.job.model.PrintJob
import com.isidroid.job_sender.domain.model.PrintJobSender

interface JobSendRepository {
    suspend fun completeUpload(jobId: String, token: String): PrintJob?

    suspend fun getJobList(status: Int): Collection<PrintJob>
    suspend fun getJobSenderList(status: Int): Collection<PrintJobSender>
    suspend fun checkNotRenderedPrintJobs(items: Collection<PrintJob>): Collection<PrintJobSender>?
    suspend fun readFilesAndSend(items: Collection<PrintJobSender>): Collection<PrintJob>
    suspend fun markJobUploaded(items: Collection<PrintJob>): Collection<PrintJob>
}